package com.fjhx.sale.service;

import java.util.Date;
import java.util.List;

public interface SaleService {

    /**
     * 直接生产
     */
    void directProd(Long contractId, Date deliveryPeriod, Long produceCompanyId);

    /**
     * 根据合同id批量修改生产状态
     */
    void updateProdOrderStatusByContractIds(List<Long> contractIds, Integer status);
}
